JsUnit

## Class Utilities

    Object
       |
       +--Utilities

class Utilities

Defined in jsUnitCore.js

Constructor Summary
`Utilities()`

Method Summary
`<static> Object` | `getFunctionName(aFunction)` Returns the name of the given function, or 'anonymous' if it has no name
`<static> Object` | `getStackTrace()` Returns the current stack trace
`<static> Object` | `isBlank(string)` Returns whether the given string is blank after being trimmed of whitespace
`<static> Object` | `parseErrorStack(exception)` Returns an array of stack trace elements from the given exception
`<static> void` | `pop(anArray)` Implemented here because the JavaScript Array.push(anObject) and Array.pop() functions are not available in IE 5.0
`<static> void` | `push(anArray, anObject)` Implemented here because the JavaScript Array.push(anObject) and Array.pop() functions are not available in IE 5.0
`<static> Object` | `standardizeHTML(html)` Standardizes an HTML string by temporarily creating a DIV, setting its innerHTML to the string, and the asking for the innerHTML back
`<static> Object` | `trim(string)` Strips whitespace from either end of the given string

Constructor Detail

### Utilities

    Utilities()

Method Detail

### getFunctionName

    <static> Object getFunctionName(aFunction)

Returns the name of the given function, or 'anonymous' if it has no name

Parameters:

`aFunction` -

### getStackTrace

    <static> Object getStackTrace()

Returns the current stack trace

### isBlank

    <static> Object isBlank(string)

Returns whether the given string is blank after being trimmed of whitespace

Parameters:

`string` -

### parseErrorStack

    <static> Object parseErrorStack(exception)

Returns an array of stack trace elements from the given exception

Parameters:

`exception` -

### pop

    <static> void pop(anArray)

Implemented here because the JavaScript Array.push(anObject) and Array.pop() functions are not available in IE 5.0

Parameters:

`anArray` - the array from which to pop

### push

    <static> void push(anArray, anObject)

Implemented here because the JavaScript Array.push(anObject) and Array.pop() functions are not available in IE 5.0

Parameters:

`anArray` - the array onto which to push

`anObject` - the object to push onto the array

### standardizeHTML

    <static> Object standardizeHTML(html)

Standardizes an HTML string by temporarily creating a DIV, setting its innerHTML to the string, and the asking for the innerHTML back

Parameters:

`html` -

### trim

    <static> Object trim(string)

Strips whitespace from either end of the given string

Parameters:

`string` -

JsUnit

www.jsunit.net
Documentation generated by JSDoc on Sun Sep 9 15:34:58 2007